<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_InterestReceivableAndSimilarIncomeOnLoansAndAdvancesBalancesWithTheCentralBankOfMaltaAndTreasuryBills" xlink:label="apsbankplc_InterestReceivableAndSimilarIncomeOnLoansAndAdvancesBalancesWithTheCentralBankOfMaltaAndTreasuryBills" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevenueFromInterest" xlink:label="ifrs-full_RevenueFromInterest" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestRevenueExpense" xlink:label="ifrs-full_InterestRevenueExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FeeAndCommissionIncomeExpense" xlink:label="ifrs-full_FeeAndCommissionIncomeExpense" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_NetGainOnFinancialInstruments" xlink:label="apsbankplc_NetGainOnFinancialInstruments" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_OperatingIncomeBeforeNetImpairments" xlink:label="apsbankplc_OperatingIncomeBeforeNetImpairments" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_NetOperatingIncome" xlink:label="apsbankplc_NetOperatingIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense" xlink:label="ifrs-full_OperatingExpense" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_FinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValueotherthanDerivativeFinancialassets" xlink:label="apsbankplc_FinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValueotherthanDerivativeFinancialassets" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_SyndicatedLoans" xlink:label="apsbankplc_SyndicatedLoans" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_OtherDebtAndFixedIncomeInstruments" xlink:label="apsbankplc_OtherDebtAndFixedIncomeInstruments" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_InterestAndCommissionReceipts" xlink:label="apsbankplc_InterestAndCommissionReceipts" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_InterestAndCommissionPayments" xlink:label="apsbankplc_InterestAndCommissionPayments" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_ReservedepositwithCentralBankofMalta" xlink:label="apsbankplc_ReservedepositwithCentralBankofMalta" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_PurchaseOfFinancialAssetsMeasuredAtAmortisedCost" xlink:label="apsbankplc_PurchaseOfFinancialAssetsMeasuredAtAmortisedCost" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_Proceedsonmaturityoffinancialassetsmeasuredatamortisedcost" xlink:label="apsbankplc_Proceedsonmaturityoffinancialassetsmeasuredatamortisedcost" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_PurchaseOfDebtInstrumentsMeasuredAtFvtoci" xlink:label="apsbankplc_PurchaseOfDebtInstrumentsMeasuredAtFvtoci" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_ProceedsOnDisposalOfDebtInstrumentsMeasuredAtFvtoci" xlink:label="apsbankplc_ProceedsOnDisposalOfDebtInstrumentsMeasuredAtFvtoci" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_PurchaseOfFinancialAssetsAtFvtpl" xlink:label="apsbankplc_PurchaseOfFinancialAssetsAtFvtpl" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_ProceedsOnDisposalOfFinancialAssetsAtFvtpl" xlink:label="apsbankplc_ProceedsOnDisposalOfFinancialAssetsAtFvtpl" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_PurchaseOfEquityAndOtherNonFixedIncomeInstrumentsclassifiedAsFVTOCI" xlink:label="apsbankplc_PurchaseOfEquityAndOtherNonFixedIncomeInstrumentsclassifiedAsFVTOCI" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_AmountsReceivedOnCreationOfSharesInSubsidiaries" xlink:label="apsbankplc_AmountsReceivedOnCreationOfSharesInSubsidiaries" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_AmountsPaidOnRedemptionOfUnitsInSubsidiaries" xlink:label="apsbankplc_AmountsPaidOnRedemptionOfUnitsInSubsidiaries" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_CashPaymentForSecurityDepositOnRightOfUseAsset" xlink:label="apsbankplc_CashPaymentForSecurityDepositOnRightOfUseAsset" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_VestingOfShares" xlink:label="apsbankplc_VestingOfShares" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_ShareIncentivePlanValueOfEmployeeServices" xlink:label="apsbankplc_ShareIncentivePlanValueOfEmployeeServices" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:label="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_DescriptionofAccountingPolicyforEquity" xlink:label="apsbankplc_DescriptionofAccountingPolicyforEquity" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_DisclosureOfIncomeExpenseonFinancialInstruments" xlink:label="apsbankplc_DisclosureOfIncomeExpenseonFinancialInstruments" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_DisclosureOfSyndicatedLoans" xlink:label="apsbankplc_DisclosureOfSyndicatedLoans" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_DisclosureOfOtherReceivables" xlink:label="apsbankplc_DisclosureOfOtherReceivables" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_DisclosureOfOtherPayables" xlink:label="apsbankplc_DisclosureOfOtherPayables" />
    <loc xlink:type="locator" xlink:href="213800A1O379I6DMCU10-2024-12-31.xsd#apsbankplc_DisclosureOfUltimateControllingParty" xlink:label="apsbankplc_DisclosureOfUltimateControllingParty" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_InterestReceivableAndSimilarIncomeOnLoansAndAdvancesBalancesWithTheCentralBankOfMaltaAndTreasuryBills" xlink:to="label_apsbankplc_apsbankplcInterestReceivableAndSimilarIncomeOnLoansAndAdvancesBalancesWithTheCentralBankOfMaltaAndTreasuryBills_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RevenueFromInterest" xlink:to="label_apsbankplc_ifrs-fullRevenueFromInterest_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_InterestRevenueExpense" xlink:to="label_apsbankplc_ifrs-fullInterestRevenueExpense_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_FeeAndCommissionIncomeExpense" xlink:to="label_apsbankplc_ifrs-fullFeeAndCommissionIncomeExpense_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_NetGainOnFinancialInstruments" xlink:to="label_apsbankplc_apsbankplcNetGainOnFinancialInstruments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_OperatingIncomeBeforeNetImpairments" xlink:to="label_apsbankplc_apsbankplcOperatingIncomeBeforeNetImpairments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_NetOperatingIncome" xlink:to="label_apsbankplc_apsbankplcNetOperatingIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OperatingExpense" xlink:to="label_apsbankplc_ifrs-fullOperatingExpense_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_FinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValueotherthanDerivativeFinancialassets" xlink:to="label_apsbankplc_apsbankplcFinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValueotherthanDerivativeFinancialassets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_SyndicatedLoans" xlink:to="label_apsbankplc_apsbankplcSyndicatedLoans_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_OtherDebtAndFixedIncomeInstruments" xlink:to="label_apsbankplc_apsbankplcOtherDebtAndFixedIncomeInstruments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_InterestAndCommissionReceipts" xlink:to="label_apsbankplc_apsbankplcInterestAndCommissionReceipts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_InterestAndCommissionPayments" xlink:to="label_apsbankplc_apsbankplcInterestAndCommissionPayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="label_apsbankplc_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_ReservedepositwithCentralBankofMalta" xlink:to="label_apsbankplc_apsbankplcReservedepositwithCentralBankofMalta_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="label_apsbankplc_ifrs-fullCashFlowsFromUsedInOperations_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_apsbankplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_PurchaseOfFinancialAssetsMeasuredAtAmortisedCost" xlink:to="label_apsbankplc_apsbankplcPurchaseOfFinancialAssetsMeasuredAtAmortisedCost_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_Proceedsonmaturityoffinancialassetsmeasuredatamortisedcost" xlink:to="label_apsbankplc_apsbankplcProceedsonmaturityoffinancialassetsmeasuredatamortisedcost_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_PurchaseOfDebtInstrumentsMeasuredAtFvtoci" xlink:to="label_apsbankplc_apsbankplcPurchaseOfDebtInstrumentsMeasuredAtFvtoci_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_ProceedsOnDisposalOfDebtInstrumentsMeasuredAtFvtoci" xlink:to="label_apsbankplc_apsbankplcProceedsOnDisposalOfDebtInstrumentsMeasuredAtFvtoci_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_PurchaseOfFinancialAssetsAtFvtpl" xlink:to="label_apsbankplc_apsbankplcPurchaseOfFinancialAssetsAtFvtpl_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_ProceedsOnDisposalOfFinancialAssetsAtFvtpl" xlink:to="label_apsbankplc_apsbankplcProceedsOnDisposalOfFinancialAssetsAtFvtpl_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_PurchaseOfEquityAndOtherNonFixedIncomeInstrumentsclassifiedAsFVTOCI" xlink:to="label_apsbankplc_apsbankplcPurchaseOfEquityAndOtherNonFixedIncomeInstrumentsclassifiedAsFVTOCI_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_apsbankplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_AmountsReceivedOnCreationOfSharesInSubsidiaries" xlink:to="label_apsbankplc_apsbankplcAmountsReceivedOnCreationOfSharesInSubsidiaries_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_AmountsPaidOnRedemptionOfUnitsInSubsidiaries" xlink:to="label_apsbankplc_apsbankplcAmountsPaidOnRedemptionOfUnitsInSubsidiaries_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_CashPaymentForSecurityDepositOnRightOfUseAsset" xlink:to="label_apsbankplc_apsbankplcCashPaymentForSecurityDepositOnRightOfUseAsset_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_apsbankplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_apsbankplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_VestingOfShares" xlink:to="label_apsbankplc_apsbankplcVestingOfShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_ShareIncentivePlanValueOfEmployeeServices" xlink:to="label_apsbankplc_apsbankplcShareIncentivePlanValueOfEmployeeServices_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="label_apsbankplc_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_DescriptionofAccountingPolicyforEquity" xlink:to="label_apsbankplc_apsbankplcDescriptionofAccountingPolicyforEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_DisclosureOfIncomeExpenseonFinancialInstruments" xlink:to="label_apsbankplc_apsbankplcDisclosureOfIncomeExpenseonFinancialInstruments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_DisclosureOfSyndicatedLoans" xlink:to="label_apsbankplc_apsbankplcDisclosureOfSyndicatedLoans_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_DisclosureOfOtherReceivables" xlink:to="label_apsbankplc_apsbankplcDisclosureOfOtherReceivables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_DisclosureOfOtherPayables" xlink:to="label_apsbankplc_apsbankplcDisclosureOfOtherPayables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="apsbankplc_DisclosureOfUltimateControllingParty" xlink:to="label_apsbankplc_apsbankplcDisclosureOfUltimateControllingParty_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_apsbankplc_apsbankplcInterestReceivableAndSimilarIncomeOnLoansAndAdvancesBalancesWithTheCentralBankOfMaltaAndTreasuryBills_Standard" id="apsbankplc_apsbankplcInterestReceivableAndSimilarIncomeOnLoansAndAdvancesBalancesWithTheCentralBankOfMaltaAndTreasuryBills_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest and similar income on loans and advances, balances with the Central Bank of Malta and treasury bills</label>
    <label xlink:label="label_apsbankplc_ifrs-fullRevenueFromInterest_Total" id="apsbankplc_ifrs-fullRevenueFromInterest_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Total interest receivable and similar income</label>
    <label xlink:label="label_apsbankplc_ifrs-fullInterestRevenueExpense_Total" id="apsbankplc_ifrs-fullInterestRevenueExpense_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net interest income</label>
    <label xlink:label="label_apsbankplc_ifrs-fullFeeAndCommissionIncomeExpense_Total" id="apsbankplc_ifrs-fullFeeAndCommissionIncomeExpense_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net fee and commission income</label>
    <label xlink:label="label_apsbankplc_apsbankplcNetGainOnFinancialInstruments_Standard" id="apsbankplc_apsbankplcNetGainOnFinancialInstruments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net gain on financial instruments</label>
    <label xlink:label="label_apsbankplc_apsbankplcOperatingIncomeBeforeNetImpairments_Standard" id="apsbankplc_apsbankplcOperatingIncomeBeforeNetImpairments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Operating income before net impairments</label>
    <label xlink:label="label_apsbankplc_apsbankplcNetOperatingIncome_Standard" id="apsbankplc_apsbankplcNetOperatingIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net operating income</label>
    <label xlink:label="label_apsbankplc_ifrs-fullOperatingExpense_Total" id="apsbankplc_ifrs-fullOperatingExpense_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Operating expenses</label>
    <label xlink:label="label_apsbankplc_apsbankplcFinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValueotherthanDerivativeFinancialassets_Standard" id="apsbankplc_apsbankplcFinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValueotherthanDerivativeFinancialassets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Financial Assets At Fair Value Through Profit Or Loss Mandatorily Measured At Fair Value other than Derivative Financial assets</label>
    <label xlink:label="label_apsbankplc_apsbankplcSyndicatedLoans_Standard" id="apsbankplc_apsbankplcSyndicatedLoans_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Syndicated loans</label>
    <label xlink:label="label_apsbankplc_apsbankplcOtherDebtAndFixedIncomeInstruments_Standard" id="apsbankplc_apsbankplcOtherDebtAndFixedIncomeInstruments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other debt and fixed income instruments</label>
    <label xlink:label="label_apsbankplc_apsbankplcInterestAndCommissionReceipts_Standard" id="apsbankplc_apsbankplcInterestAndCommissionReceipts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest and commission receipts</label>
    <label xlink:label="label_apsbankplc_apsbankplcInterestAndCommissionPayments_Standard" id="apsbankplc_apsbankplcInterestAndCommissionPayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest and commission payments</label>
    <label xlink:label="label_apsbankplc_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" id="apsbankplc_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Operating profit before changes in operating assets and liabilities</label>
    <label xlink:label="label_apsbankplc_apsbankplcReservedepositwithCentralBankofMalta_Standard" id="apsbankplc_apsbankplcReservedepositwithCentralBankofMalta_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Reserve deposit with Central Bank of Malta</label>
    <label xlink:label="label_apsbankplc_ifrs-fullCashFlowsFromUsedInOperations_Total" id="apsbankplc_ifrs-fullCashFlowsFromUsedInOperations_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash from/(used in) operating activities before tax</label>
    <label xlink:label="label_apsbankplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="apsbankplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash flows from/(used in) operating activities</label>
    <label xlink:label="label_apsbankplc_apsbankplcPurchaseOfFinancialAssetsMeasuredAtAmortisedCost_Standard" id="apsbankplc_apsbankplcPurchaseOfFinancialAssetsMeasuredAtAmortisedCost_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of financial assets measured at amortised cost</label>
    <label xlink:label="label_apsbankplc_apsbankplcProceedsonmaturityoffinancialassetsmeasuredatamortisedcost_Standard" id="apsbankplc_apsbankplcProceedsonmaturityoffinancialassetsmeasuredatamortisedcost_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds on maturity of financial assets measured at amortised cost</label>
    <label xlink:label="label_apsbankplc_apsbankplcPurchaseOfDebtInstrumentsMeasuredAtFvtoci_Standard" id="apsbankplc_apsbankplcPurchaseOfDebtInstrumentsMeasuredAtFvtoci_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of debt instruments measured at FVTOCI</label>
    <label xlink:label="label_apsbankplc_apsbankplcProceedsOnDisposalOfDebtInstrumentsMeasuredAtFvtoci_Standard" id="apsbankplc_apsbankplcProceedsOnDisposalOfDebtInstrumentsMeasuredAtFvtoci_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds on disposal of debt instruments measured at FVTOCI</label>
    <label xlink:label="label_apsbankplc_apsbankplcPurchaseOfFinancialAssetsAtFvtpl_Standard" id="apsbankplc_apsbankplcPurchaseOfFinancialAssetsAtFvtpl_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of financial assets at FVTPL</label>
    <label xlink:label="label_apsbankplc_apsbankplcProceedsOnDisposalOfFinancialAssetsAtFvtpl_Standard" id="apsbankplc_apsbankplcProceedsOnDisposalOfFinancialAssetsAtFvtpl_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds on disposal of financial assets at FVTPL</label>
    <label xlink:label="label_apsbankplc_apsbankplcPurchaseOfEquityAndOtherNonFixedIncomeInstrumentsclassifiedAsFVTOCI_Standard" id="apsbankplc_apsbankplcPurchaseOfEquityAndOtherNonFixedIncomeInstrumentsclassifiedAsFVTOCI_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of equity and other non-fixed income instruments classified as FVTOCI</label>
    <label xlink:label="label_apsbankplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="apsbankplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash flows used in investing activities</label>
    <label xlink:label="label_apsbankplc_apsbankplcAmountsReceivedOnCreationOfSharesInSubsidiaries_Standard" id="apsbankplc_apsbankplcAmountsReceivedOnCreationOfSharesInSubsidiaries_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Amounts received on creation of shares in subsidiaries</label>
    <label xlink:label="label_apsbankplc_apsbankplcAmountsPaidOnRedemptionOfUnitsInSubsidiaries_Standard" id="apsbankplc_apsbankplcAmountsPaidOnRedemptionOfUnitsInSubsidiaries_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Amounts paid on redemption of units in subsidiaries</label>
    <label xlink:label="label_apsbankplc_apsbankplcCashPaymentForSecurityDepositOnRightOfUseAsset_Standard" id="apsbankplc_apsbankplcCashPaymentForSecurityDepositOnRightOfUseAsset_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash payment for security deposit on right of use asset</label>
    <label xlink:label="label_apsbankplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="apsbankplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash flows from financing activities</label>
    <label xlink:label="label_apsbankplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" id="apsbankplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net decrease in cash and cash equivalents</label>
    <label xlink:label="label_apsbankplc_apsbankplcVestingOfShares_Standard" id="apsbankplc_apsbankplcVestingOfShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Allotment of shares upon vesting of share awards</label>
    <label xlink:label="label_apsbankplc_apsbankplcShareIncentivePlanValueOfEmployeeServices_Standard" id="apsbankplc_apsbankplcShareIncentivePlanValueOfEmployeeServices_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share incentive plan - value of employee services</label>
    <label xlink:label="label_apsbankplc_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Total" id="apsbankplc_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Total transactions with owners</label>
    <label xlink:label="label_apsbankplc_apsbankplcDescriptionofAccountingPolicyforEquity_Standard" id="apsbankplc_apsbankplcDescriptionofAccountingPolicyforEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of Accounting Policy for Equity</label>
    <label xlink:label="label_apsbankplc_apsbankplcDisclosureOfIncomeExpenseonFinancialInstruments_Standard" id="apsbankplc_apsbankplcDisclosureOfIncomeExpenseonFinancialInstruments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of Income/Expense on Financial Instruments</label>
    <label xlink:label="label_apsbankplc_apsbankplcDisclosureOfSyndicatedLoans_Standard" id="apsbankplc_apsbankplcDisclosureOfSyndicatedLoans_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of Syndicated Loans</label>
    <label xlink:label="label_apsbankplc_apsbankplcDisclosureOfOtherReceivables_Standard" id="apsbankplc_apsbankplcDisclosureOfOtherReceivables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of Other Receivables</label>
    <label xlink:label="label_apsbankplc_apsbankplcDisclosureOfOtherPayables_Standard" id="apsbankplc_apsbankplcDisclosureOfOtherPayables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of Other Payables</label>
    <label xlink:label="label_apsbankplc_apsbankplcDisclosureOfUltimateControllingParty_Standard" id="apsbankplc_apsbankplcDisclosureOfUltimateControllingParty_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure Of Ultimate Controlling Party</label>
  </labelLink>
</linkbase>